.container {
    position: relative;
    width: 500px;
    height: 500px;
    background: gray;
    overflow: hidden;
}

.square {
    position: absolute;
    width: 50px;
    height: 50px;
    background: red;
    animation-name: move;
    animation-duration: 2s;
    animation-fill-mode: both;
    animation-iteration-count: infinite;
}

@keyframes move {
    0% {left:0;top:0;}
    25% {left:calc(100% - 50px);top:0;}
    50% {left:calc(100% - 50px);top:calc(100% - 50px);}
    75% {left:0;top:calc(100% - 50px);}
    100% {left:0;top:0;}
}
